# Ds\Collection::isEmpty

(PECL ds >= 1.0.0)

Ds\Collection::isEmpty — Returns whether the collection is empty

### Description

abstract public Ds\Collection::isEmpty ( void ) : bool

Returns whether the collection is empty.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the collection is empty, `FALSE` otherwise.

### Examples

Example #1 Ds\Collection::isEmpty() example

`<?php
$a = new \Ds\Vector([1, 2, 3]);
$b = new \Ds\Vector();
var_dump($a->isEmpty());
var_dump($b->isEmpty());
?>`

The above example will output something similar to:

    bool(false)
    bool(true)